; Script name: Meeting Manager
; Author: Justin Poole (JPMK12)
; Version: 1.0
; URL: http://jpmk12.net
; For more scripts like this come to http://www.ourscripts.net 
;
; This scripts home is http://jpmk12.net
;
; You may freely distribute this script among people but may not distribute 
; it from ANY website. You may not edit and claim this as your own work.
;
; 2004 JPMK12. All Rights Reserved
;
;-----------------------------------------------------------

;Menu Bars

menu channel,menubar,status {
  Meeting Manager:/dialog -mdo mm mm
}
menu nicklist {
  Meeting Manager
  .Time Place and Date:/set %remindn $1  | /noticetpd
  .Topics:/set %remindn $1  | /noticetopic
  .All:/set %remindn $1  | /noticeall
}

;Dialog
dialog mm {
  title "OSN Meeting Management 1.0"
  size -1 -1 189 150
  option dbu
  tab "Announcement", 1, 4 20 183 114
  box "Meeting Information", 4, 9 37 83 77, tab 1
  edit "", 5, 34 47 55 10, tab 1
  edit "", 6, 34 60 55 10, tab 1
  edit "", 7, 34 72 55 10, tab 1
  box "Topics", 8, 96 37 88 76, tab 1
  edit "", 9, 128 47 51 10, tab 1
  edit "", 10, 128 60 51 10, tab 1
  edit "", 11, 128 72 51 10, tab 1
  edit "", 12, 128 84 51 10, tab 1
  edit "", 13, 128 97 51 10, tab 1
  button "Announce", 14, 71 120 37 12, tab 1
  button "Close", 15, 71 137 37 12,  cancel
  text "Topic 1:", 3, 107 48 21 8, tab 1
  text "Date:", 20, 15 48 16 8, tab 1
  text "Time:", 21, 15 60 16 8, tab 1
  text "Place", 22, 15 73 14 8, tab 1
  text "Topic 2:", 23, 107 61 21 8, tab 1
  text "Topic 3:", 17, 107 73 21 8, tab 1
  text "Topic 4:", 18, 107 85 21 8, tab 1
  text "Topic 5:", 19, 107 98 21 8, tab 1
  tab "Settings", 24
  box "Settings", 25, 8 37 172 93, tab 24
  text "Announce on !meeting", 26, 14 47 59 8, tab 24
  check "On/Off", 27, 74 46 50 10, tab 24
  text "Channel to annouce:", 28, 14 58 53 8, tab 24
  edit "", 29, 69 57 50 10, tab 24
  text "What to message:", 30, 14 70 46 8, tab 24
  check "Time Date and Place", 31, 14 80 60 10, tab 24
  check "Topics", 32, 77 80 26 10, tab 24
  check "Everything", 33, 106 80 38 10, tab 24
  text "Meeting Manager", 2, 60 4 44 8
  text "Topic 2:", 16, 10979 62 21 8
}
;Dialog


;The init commands for the script

on 1:dialog:mm:init:0 {
  /did -a mm 5 $readini(mm.ini, meeting, date) 
  /did -a mm 6 $readini(mm.ini, meeting, time)  
  /did -a mm 7 $readini(mm.ini, meeting, place) 
  /did -a mm 9 $readini(mm.ini, topic, 1) 
  /did -a mm 10 $readini(mm.ini, topic, 2)   
  /did -a mm 11 $readini(mm.ini, topic, 3) 
  /did -a mm 12 $readini(mm.ini, topic, 4) 
  /did -a mm 13 $readini(mm.ini, topic, 5) 
  /did -a mm 29 $readini(mm.ini, settings, channel) 
  if ($readini(mm.ini, settings, meetingtext) == on) /did -c mm 27 
  if ($readini(mm.ini, settings, meetingtext) == off) /did -u mm 27
  if ($readini(mm.ini, settings, tpd) == on) /did -c mm 31
  if ($readini(mm.ini, settings, topics) == on) /did -c mm 32
  if ($readini(mm.ini, settings, all) == on) /did -c mm 33


}

on 1:dialog:mm:sclick:14: {
  if ($readini(mm.ini, settings, tpd) = on) { /tpdmsg }
  if ($readini(mm.ini, settings, topics) = on) { /topicmsg }
  if ($readini(mm.ini, settings, all) = on) { /allmsg }
}

;The write and edit commands
on 1:dialog:mm:edit:5:/writeini mm.ini meeting date $did(mm,5,text)
on 1:dialog:mm:edit:6:/writeini mm.ini meeting time $did(mm,6,text)
on 1:dialog:mm:edit:7:/writeini mm.ini meeting place $did(mm,7,text)
on 1:dialog:mm:edit:9:/writeini mm.ini topic 1 $did(mm,9,text)
on 1:dialog:mm:edit:10:/writeini mm.ini topic 2 $did(mm,10,text)
on 1:dialog:mm:edit:11:/writeini mm.ini topic 3 $did(mm,11,text)
on 1:dialog:mm:edit:12:/writeini mm.ini topic 4 $did(mm,12,text)
on 1:dialog:mm:edit:13:/writeini mm.ini topic 5 $did(mm,13,text)
on 1:dialog:mm:edit:29:/writeini mm.ini settings channel $did(mm,29,text)

;The on !meeting button
on *:DIALOG:mm:sclick:27:{
  if ($readini(mm.ini, settings, meetingtext) = on) { /writeini mm.ini settings meetingtext off  | /did -u mm 27 | /disable #meetingtext | halt }
  if ($readini(mm.ini, settings, meetingtext) = off) { /writeini mm.ini settings meetingtext on  | /did -c mm 27 | /enable #meetingtext | halt  }
}


;The which type to message (TPD,Topics,All)

on *:DIALOG:mm:sclick:31:{
  if ($readini(mm.ini, settings, tpd) = off) {
    /writeini mm.ini settings tpd on  
    /did -c mm 31 
    /writeini mm.ini settings topics off  
    /did -u mm 32  
    /writeini mm.ini settings all off  
    /did -u mm 33
  /halt }
}

;topics on or off
on *:DIALOG:mm:sclick:32:{
  if ($readini(mm.ini, settings, topics) = off) {
    /writeini mm.ini settings topics on  
    /did -c mm 32 
    /writeini mm.ini settings tpd off  
    /did -u mm 31 
    /writeini mm.ini settings all off  
    /did -u mm 33
  halt }
}

;All on or off
on *:DIALOG:mm:sclick:33:{
  if ($readini(mm.ini, settings, all) = off) {
    /writeini mm.ini settings all on  
    /did -c mm 33 
    /writeini mm.ini settings tpd off  
    /did -u mm 31 
    /writeini mm.ini settings topics off  
    /did -u mm 32 
  halt }
}



;TPD Only Message

alias tpdmsg {
  /msg $readini(mm.ini, settings, channel) 4,11 Don't Forget About our meeting:  
  /msg $readini(mm.ini, settings, channel) 4,11 Date: $readini(mm.ini, meeting, date)
  /msg $readini(mm.ini, settings, channel) 4,11 Time: $readini(mm.ini, meeting, time)
  /msg $readini(mm.ini, settings, channel) 4,11 Place: $readini(mm.ini, meeting, place)
}

;Topics Only Message

alias topicmsg {
  /msg $readini(mm.ini, settings, channel) 4,11 Topics to be discussed:  
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 1: $readini(mm.ini, topic, 1)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 2: $readini(mm.ini, topic, 2)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 3: $readini(mm.ini, topic, 3)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 4: $readini(mm.ini, topic, 4)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 5: $readini(mm.ini, topic, 5)
}


;All Message

alias allmsg {
  /msg $readini(mm.ini, settings, channel) 4,11 Don't Forget About our meeting:  
  /msg $readini(mm.ini, settings, channel) 4,11 Date: $readini(mm.ini, meeting, date)
  /msg $readini(mm.ini, settings, channel) 4,11 Time: $readini(mm.ini, meeting, time)
  /msg $readini(mm.ini, settings, channel) 4,11 Place: $readini(mm.ini, meeting, place)
  /msg $readini(mm.ini, settings, channel) 4,11---------------------------------   
  /msg $readini(mm.ini, settings, channel) 4,11 Topics to be discussed:  
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 1: $readini(mm.ini, topic, 1)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 2: $readini(mm.ini, topic, 2)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 3: $readini(mm.ini, topic, 3)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 4: $readini(mm.ini, topic, 4)
  /msg $readini(mm.ini, settings, channel) 4,11 Topic 5: $readini(mm.ini, topic, 5)
}


;The !Meeting alias and operators

#meetingtext on
on 1:TEXT:*!meeting*:*: {

  if ($nick isop $chan) { 
    /msg $chan 4,11 Don't Forget About our meeting:  
    /msg $chan 4,11 Date: $readini(mm.ini, meeting, date)
    /msg $chan 4,11 Time: $readini(mm.ini, meeting, time)
    /msg $chan 4,11 Place: $readini(mm.ini, meeting, place)
    /msg $chan 4,11---------------------------------   
    /msg $chan 4,11 Topics to be discussed:  
    /msg $chan 4,11 Topic 1: $readini(mm.ini, topic, 1)
    /msg $chan 4,11 Topic 2: $readini(mm.ini, topic, 2)
    /msg $chan 4,11 Topic 3: $readini(mm.ini, topic, 3)
    /msg $chan 4,11 Topic 4: $readini(mm.ini, topic, 4)
    /msg $chan 4,11 Topic 5: $readini(mm.ini, topic, 5)
  }
  else {
    /notice $nick 4,11 Dont Forget!
    /notice $nick 4,11 OSN Meeting Tonight!
    /notice $nick 4,11 Date: $readini(mm.ini, meeting, date)
    /notice $nick 4,11 Time: $readini(mm.ini, meeting, time)
    /notice $nick 4,11 Place: $readini(mm.ini, meeting, place)


    /notice $nick 4,11 Topics to be discussed at tonights meeting:
    /notice $nick 4,11  Topic 1: $readini(mm.ini, topic, 1)
    /notice $nick 4,11 Topic 2: $readini(mm.ini, topic, 2)
    /notice $nick 4,11 Topic 3: $readini(mm.ini, topic, 3)
    /notice $nick 4,11 Topic 4: $readini(mm.ini, topic, 4)
    /notice $nick 4,11   Topic 5: $readini(mm.ini, topic, 5)
  }
} 
#meetingtext end

alias noticeall {
  /notice %remindn 4,11 Dont Forget!
  /notice %remindn 4,11 OSN Meeting!
  /notice %remindn 4,11 Date: $readini(mm.ini, meeting, date)
  /notice %remindn 4,11 Time: $readini(mm.ini, meeting, time)
  /notice %remindn 4,11 Place: $readini(mm.ini, meeting, place)

  /notice %remindn 4,11 Topics to be discussed at tonights meeting:
  /notice %remindn 4,11 Topic 1: $readini(mm.ini, topic, 1)
  /notice %remindn 4,11 Topic 2: $readini(mm.ini, topic, 2)
  /notice %remindn 4,11 Topic 3: $readini(mm.ini, topic, 3)
  /notice %remindn 4,11 Topic 4: $readini(mm.ini, topic, 4)
  /notice %remindn 4,11 Topic 5: $readini(mm.ini, topic, 5)
}

alias noticetpd {
  /notice %remindn 4,11 Dont Forget!
  /notice %remindn 4,11 OSN Meeting!
  /notice %remindn 4,11 Date: $readini(mm.ini, meeting, date)
  /notice %remindn 4,11 Time: $readini(mm.ini, meeting, time)
  /notice %remindn 4,11 Place: $readini(mm.ini, meeting, place) 
}

alias noticetopic {
  /notice %remindn 4,11 Topics to be discussed at tonights meeting:
  /notice %remindn 4,11 Topic 1: $readini(mm.ini, topic, 1)
  /notice %remindn 4,11 Topic 2: $readini(mm.ini, topic, 2)
  /notice %remindn 4,11 Topic 3: $readini(mm.ini, topic, 3)
  /notice %remindn 4,11 Topic 4: $readini(mm.ini, topic, 4)
  /notice %remindn 4,11 Topic 5: $readini(mm.ini, topic, 5)
}
